Name:           alex
Version:        2.1.0
Release:        %mkrel 1
License:        BSD-like
Group:          Development/Other
URL:            http://haskell.org/alex/
Source:         http://haskell.org/alex/dist/%{version}/alex-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  happy, ghc, docbook-style-xsl, libxslt-proc, libxml2, xmltex
BuildRequires:  gmp-devel
Summary:        The lexer generator for Haskell

%description
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions.  It is similar to the tool lex or flex for C/C++.

# the debuginfo subpackage is currently empty anyway, so don't generate it
%define debug_package %{nil}
%define __spec_install_post /usr/lib/rpm/brp-compress

%define alexdir %{_datadir}/%{name}-%{version}

%prep
%setup -q

%build
runhaskell Setup.lhs configure --prefix=%{_prefix}
runhaskell Setup.lhs build
cd doc
test -f configure || autoreconf
./configure
make html

%install
rm -rf ${RPM_BUILD_ROOT}

runhaskell Setup.lhs copy --destdir=${RPM_BUILD_ROOT}


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc ANNOUNCE  LICENSE  README  Setup.lhs  TODO examples
%{_bindir}/alex*
%{alexdir}



%changelog
* Sat Aug 25 2007 Gaëtan Lehmann <glehmann@mandriva.org> 2.1.0-1mdv2008.0
+ Revision: 71309
- 2.1.0


* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 2.0.1-3mdv2007.0
- rebuild

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.1-2mdk
- Fix BuildRequires

* Wed Jun 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.1-1mdk
- initial contrib

* Fri May 06 2005 Jens Petersen <petersen@redhat.com> - 2.0.1-1
- initial packaging for Fedora Haskell based on upstream spec file

